uk.gov.hmrc.mongo.play.json

# PlayMongoCollection

###
Related Doc: package json

#### class PlayMongoCollection[A] extends MongoDatabaseCollection

Linear Supertypes
MongoDatabaseCollection, AnyRef, Any
Known Subclasses
MongoLockRepository, PlayMongoCacheCollection, SessionCacheRepository, ShortLivedCacheRepository
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayMongoCollection
2. MongoDatabaseCollection
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PlayMongoCollection(mongoComponent: MongoComponent, collectionName: String, domainFormat: Format[A], optRegistry: Option[CodecRegistry] = None, indexes: Seq[IndexModel], rebuildIndexes: Boolean = false)(implicit arg0: ClassTag[A], ec: ExecutionContext)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val collection: MongoCollection[A]

7. #### val collectionName: String

   Definition Classes
     PlayMongoCollection → MongoDatabaseCollection

8. #### def ensureIndexes(): Future[Seq[String]]

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### val indexes: Seq[IndexModel]

    Definition Classes
      PlayMongoCollection → MongoDatabaseCollection

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from MongoDatabaseCollection

### Inherited from AnyRef

### Inherited from Any

### Ungrouped